﻿#pragma strict

var AxisXSensitivity : float = 2.0;
var AxisXMinDeg : float = -90;
var AxisXMaxDeg : float = 90;
private var AxisXRotation : float = 0.0;

function Start () {
  Cursor.visible = false;
  Cursor.lockState = CursorLockMode.Locked;
}

function Update () {
  // Read in mouse delta y
  var v : float = -AxisXSensitivity * Input.GetAxis ("Mouse Y");
  // Apply mouse delta, and clamp to avoid backflips.
  AxisXRotation = Mathf.Clamp(AxisXRotation + v,AxisXMinDeg,AxisXMaxDeg);

  // Apply correct rotation with euler angles.
  transform.localEulerAngles = new Vector3(
    AxisXRotation,
    transform.localEulerAngles.y,
    transform.localEulerAngles.z);
}
